Retrieve all entities that are linked to a specific entity along with their associated tasks. This includes related entities, dependencies, and hierarchical relationships.
GET
/data/entities/{entity_id}/entities-linked/with-tasks
curl
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/entities-linked/with-tasks" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/entities-linked/with-tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/entities-linked/with-tasks' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Character Model",
"entity_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
"project_id": "c46c8gc6-eg97-6887-c292-79675204e47",
"parent_id": "d57d9hd7-fh08-7998-d403-80786315f58",
"tasks": [
{
"id": "e68e0ie8-gi19-8009-e514-91897426g69",
"name": "Modeling Task",
"task_type_id": "f79f1jf9-hj20-9010-f625-02998537h80"
}
]
}
]